machine:
  java:
    version:
      oraclejdk8
test:
  override:
    # 0) runs unit tests w/ H2 local DB. Runs against both Mongo + H2 test datasets
    # 1) runs unit tests w/ Postgres local DB. Only runs against H2 test dataset so we can be sure tests work in either scenario
    # 2) runs Eastwood linter
    # 3) runs JS linter + Bikeshed linter
    # 4) runs lein uberjar
    - case $CIRCLE_NODE_INDEX in 0) MB_TEST_DATASETS=generic-sql,mongo lein test ;; 1) MB_DB_TYPE=postgres MB_DB_DBNAME=circle_test MB_DB_PORT=5432 MB_DB_USER=ubuntu MB_DB_HOST=localhost lein test ;; 2) lein eastwood ;; 3) ./lint_js.sh && lein bikeshed --max-line-length 240 ;; 4) lein uberjar ;; esac:
        parallel: true
